Subject: Re: Secdir telechat review of draft-ietf-tsvwg-datagram-plpmtud-19

From: Magnus Westerlund <[email-masked]>
Date: Mon, 20 Apr 2020 13:19:53 +0000

Hi Stephen,
(Dropping last-call, adding QUIC WG)

You do have a point here. Considering that QUIC transport is not ready, I think
the alternative to have this document hang in RFC-editors queue is to actually
move Section 6.3 into draft-ietf-quic-transport. 

QUIC WG what do you think of that solution? It would allow draft-ietf-tsvwg-
datagram-plpmtud to be published without delays. 

Cheers

Magnus Westerlund

On Sat, 2020-04-04 at 14:11 -0700, Stephen Farrell via Datatracker wrote:
> Reviewer: Stephen Farrell
> Review result: Has Nits
> 
> 
> Thanks for addressing my earlier secdir comments on -15. I think
> the ones below remain but are, from my POV, nits:
> 
> - Abstract: This draft aims for proposed standard but is
> updating a BCP (RFC8085/BCP145).  I'm happy to leave the
> process-lawyering for that to others.
> 
> - 6.3: I am surprised that the QUIC description here is ready
> to be an RFC before QUIC itself. I do see there are
> normative references, but the potential for a breaking change
> still exists, and seems a bit unwise. (I'd suggest, holding
> this in the WG 'till the referenced QUIC drafts are in the RFC
> editor queue, or else taking that bit out and putting it into
> a new I-D.)
> 
> 
-- 
Cheers

Magnus Westerlund 

----------------------------------------------------------------------
Networks, Ericsson Research
----------------------------------------------------------------------
Ericsson AB                 | Phone  +46 10 7148287
Torshamnsgatan 23           | Mobile +46 73 0949079
SE-164 80 Stockholm, Sweden | mailto: [email-masked]
----------------------------------------------------------------------

---

From: Lucas Pardue <[email-masked]>
Date: Mon, 20 Apr 2020 15:09:20 +0100

Hi Magnus,

Speaking as an individual because I have not conferred with other QUIC
chairs or list:

> datagram-plpmtud to be published without delays.
My 2c: QUIC says endpoints SHOULD use DPLPMTUD or something else. So I
don't see including some more text as being a protocol design change.
However, it can't simply be copied verbatim and would need some editorial
work (for example, DPLPMTUD Section 6.3.3 includes a MUST NOT, which might
need some contextualization in the QUIC document). The migration would also
require an editorial pass in DPLPMTUD to make sure remaining use to QUIC
outside section 6.3 are correct. The QUIC editors are busy, so the proposal
is more palatable if you have a volunteer to put some effort into this.

Cheers
Lucas

---

From: Lars Eggert <[email-masked]>
Date: Wed, 22 Apr 2020 15:03:06 +0300

Hi,

> datagram-plpmtud to be published without delays.

the chairs discussed this for a bit, and we're a bit hesitant to go this route.

IIRC, if both docs have mutual normative references to one another, they get clustered and published together anyway. Do we need more?

If we actually want to WGLC them together, TSVWG can maybe park -plpmtud for a bit?

Thanks,
Lars

---

From: Magnus Westerlund <[email-masked]>
Date: Wed, 22 Apr 2020 18:07:34 +0000

On Wed, 2020-04-22 at 15:03 +0300, Lars Eggert wrote:
> Hi,
> 
> On 2020-4-20, at 16:19, Magnus Westerlund <
> magnus.westerlund=[email-masked]> wrote:
> IIRC, if both docs have mutual normative references to one another, they get
> clustered and published together anyway. Do we need more?
> 

So, this is basically the last issue before approving the document as a proposed
standard. It has already been through IETF last call, IESG Evaluation. This
discussion is soley due to a late review. 

The document do contain specification for other transport protocols I think
there are some point in getting it published. However, as long as QUIC WG is not
gone delay to long I personally can have it hanging in the RFC-editor queue. I
am not expecting any significant change to the QUIC parts (PING and PADDING (not
details) referenced from Section 6.3 in datagram-plpmtud draft. 

Cheers

Magnus Westerlund

---

From: Magnus Westerlund <[email-masked]>
Date: Wed, 22 Apr 2020 19:13:52 +0000

Hi,

I need to apologize to Stephen Farrell for my statement that the review was 
late. The review was not late.

It was my failure to ensure  to address that particular aspect in the process 
to take it to the IESG. Which resurfaced due my desire to get the draft 
updated before approval.

Regards

Magnus Westerlund

> -----Original Message-----
> From: Magnus Westerlund <[email-masked]>
> Sent: den 22 april 2020 20:08
> To: [email-masked]
> Cc: [email-masked]; [email-masked]; draft-ietf-tsvwg-datagram-
> [email-masked]; [email-masked]; [email-masked]
> Subject: Re: Secdir telechat review of draft-ietf-tsvwg-datagram-plpmtud-19
>
> > > You do have a point here. Considering that QUIC transport is not ready, 
> > > I
> > > think
> > If we actually want to WGLC them together, TSVWG can maybe park -
> plpmtud for a
> > bit?
>